Subject: Re: [bitcoin-dev] PayJoin adoption

From: Chris Belcher <[email-masked]>
Date: Tue, 19 Jan 2021 15:44:11 +0000

Regarding incentives, privacy is itself an incentive.

If your business suffers from being spied on (for example you're a
casino or p2p exchange, and regulated exchanges keep banning your
customers) then the cost of adopting payjoin is worth it. That's why I
expect and hope that p2p exchanges will be one of the earlier adopters.

While researching for the Adoption page I was surprised to find that one
exchange has already adopted PayJoin: a no-signup altcoin exchange
called sideshift.ai

On 18/01/2021 20:38, Lucas Ontivero wrote:
> Hi
> 
> Before all, thanks for the wiki page tracking the payjoin adoption, it is a
> good idea.
> 
> -----
> 
> Even when there is a reasonable economical incentive to use segwit
> transactions to save fees a big percentage of the transactions are not
> using segwit yet. In the case of payjoins the economic incentives are not
> so big while the privacy benefits are not so clear for the payer as they
> are for the global transactions graph as a whole. This means that payjoins
> requires some level of altruist attitude from the payers. The payjoins UX
> is also not good because I think most users are not familiar with bip21
> uris (users still request support because they pay a bech32 address in an
> exchange and the exchange tells them that's not a valid bitcoin address).
> All this is relative and subjective but in general terms I would say it is
> more or less true for many people.
> 
> Anyway, imagine wallets' developers agree on making payjoins payment by
> default because it is the right thing to do (fight against surveillance to
> spy on bitcoin users and improve bitcoin's fungibility). In that case it
> should be completely transparent to the users and at not cost, it shouldn't
> require the user to do anything different, it shouldn't be noticeable
> slower, etc. In fact, users should have to know they are payjoining at all.
> 
> The only way I see to achieve something like that is by moving to schemes
> where wallets can communicate and interact. I should be able to know
> something about you that allows me to select your name from my contact list
> and select "Pay to Chris" and if my wallet knows how to find yours then it
> can request a new address and pays, or generate a new one for you (probably
> using a output descriptor you created to share with me).
> 
> Sorry for the long semi-random rant.
> 
> El vie, 15 ene 2021 a las 21:07, Chris Belcher via bitcoin-dev (<
> [email-masked]>) escribió:
> 
>> PayJoin is an exciting bitcoin privacy technology which has the
>> potential to damage the ability of blockchain surveillance to spy on
>> bitcoin users and destroy bitcoin's fungibility. A protocol standard has
>> already been defined and implemented by a couple of projects such as
>> BTCPayServer, Wasabi Wallet, JoinMarket and BlueWallet.
>>
>> I've made a wiki page tracking adoption:
>> https://en.bitcoin.it/wiki/PayJoin_adoption
>>
>> It is similar to the Bech32 adoption page.
>>
>>
>> Recently a UK bitcoin exchange shut down due to new regulations, with
>> the owner writing a very interesting and relevant blog post that I'll
>> quote here:
>>
>>> you’re considered suspicious if you used a marketplace and not an
>> exchange. Coinjoin counts as high risk. Gambling is high risk. As you
>> use entities that are paranoid about keeping their coins clean and
>> adhering to all the regulations, your risk scores will continue to
>> increase and without you even knowing why, your deposits will become
>> rejected, you may be asked to supply documents or lose the coins, your
>> account may become suspended without you having any clue what you did
>> wrong. And quite possibly you didn’t do anything wrong. But that won’t
>> matter.
>>>
>>> The goal post, the risk score threshold will keep moving along this
>> trend until the point where you will be afraid of using your personal
>> wallet, donating to someone online, receiving bitcoins from anywhere
>> except for regulated exchanges. At that point, crypto will be akin to a
>> regular bank account. You won’t have a bitcoin wallet, you will have
>> accounts to websites.
>>
>> https://blog.bitbargain.com/post/638504004285054976/goodbye
>>
>> If we want bitcoin to fulfill its dream of a permissionless money for
>> the internet then we'll have to work on this. What can we do to increase
>> adoption of PayJoin?
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>